質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.36%

  • Ruby on Rails

    5078questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

rbenvを使用したrailsプロジェクトでrails gができない

解決済

回答 1

投稿 2016/01/05 18:46 ・編集 2016/01/05 18:47

  • 評価
  • クリップ 0
  • VIEW 1,040

SasakiAkira

score 29

rbenvでruby2.2.4を使用しています。
rails で新しいコントローラーを作成しようとすると、

$ rails g contoller newcontroller
/usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require': cannot load such file -- bundler/setup (LoadError)
    from /usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/commands.rb:33:in `<module:Spring>'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/commands.rb:4:in `<top (required)>'
    from /usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application.rb:77:in `preload'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application.rb:143:in `serve'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application.rb:131:in `block in run'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application.rb:125:in `loop'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application.rb:125:in `run'
    from /Users/sasakiakira/rails_projects/RAILS_PROJECT/vendor/bundle/ruby/2.2.0/gems/spring-1.6.1/lib/spring/application/boot.rb:18:in `<top (required)>'
    from /usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from /usr/local/Cellar/ruby/2.2.4/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
    from -e:1:in `<main>'

というエラーが出て動きません。
bundlerがないということだと思いrbenv exec gem install bundlerも実行しましたが動きません。以下にrbenv周辺の環境等載せておきます。
もともとは普通のrubyで動かしていたものなのでその辺に原因があるかもしれません。
rbenv自体初めて触るので初歩的な間違いがある可能性もあります。
その他必要な情報等ございましたらコメントしていただければと思います。

$ rbenv version
2.2.4 (set by /Users/sasakiakira/rails_projects/RAILS_PROJECT/.ruby-version)

$ gem environment
RubyGems Environment:
  - RUBYGEMS VERSION: 2.4.5.1
  - RUBY VERSION: 2.2.4 (2015-12-16 patchlevel 230) [x86_64-darwin15]
  - INSTALLATION DIRECTORY: /Users/sasakiakira/.rbenv/versions/2.2.4/lib/ruby/gems/2.2.0
  - RUBY EXECUTABLE: /Users/sasakiakira/.rbenv/versions/2.2.4/bin/ruby
  - EXECUTABLE DIRECTORY: /Users/sasakiakira/.rbenv/versions/2.2.4/bin
  - SPEC CACHE DIRECTORY: /Users/sasakiakira/.gem/specs
  - SYSTEM CONFIGURATION DIRECTORY: /Users/sasakiakira/.rbenv/versions/2.2.4/etc
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-darwin-15
  - GEM PATHS:
     - /Users/sasakiakira/.rbenv/versions/2.2.4/lib/ruby/gems/2.2.0
     - /Users/sasakiakira/.gem/ruby/2.2.0
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - https://rubygems.org/
  - SHELL PATH:
     - /Users/sasakiakira/.rbenv/versions/2.2.4/bin
     - /usr/local/Cellar/rbenv/0.4.0/libexec
     - /Users/sasakiakira/.rbenv/plugins/ruby-build/bin
     - /Users/sasakiakira/.rbenv/shims
     - /Users/sasakiakira/.rbenv/bin
     - /usr/local/bin
     - /usr/bin
     - /bin
     - /usr/sbin
     - /sbin

$ rbenv exec gem list

*** LOCAL GEMS ***

actionmailer (4.2.5)
actionpack (4.2.5)
actionview (4.2.5)
activejob (4.2.5)
activemodel (4.2.5)
activerecord (4.2.5)
activesupport (4.2.5)
arel (6.0.3)
bigdecimal (1.2.6)
builder (3.2.2)
bundler (1.11.2)
concurrent-ruby (1.0.0)
erubis (2.7.0)
globalid (0.3.6)
i18n (0.7.0)
io-console (0.4.3)
json (1.8.1)
loofah (2.0.3)
mail (2.6.3)
mime-types (2.99)
mini_portile2 (2.0.0)
minitest (5.4.3)
nokogiri (1.6.7.1)
power_assert (0.2.2)
psych (2.0.8)
rack (1.6.4)
rack-test (0.6.3)
rails (4.2.5)
rails-deprecated_sanitizer (1.0.3)
rails-dom-testing (1.0.7)
rails-html-sanitizer (1.0.2)
railties (4.2.5)
rake (10.4.2)
rdoc (4.2.0)
sprockets (3.5.2)
sprockets-rails (3.0.0)
test-unit (3.0.8)
thor (0.19.1)
thread_safe (0.3.5)
tzinfo (1.2.2)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • miyamiya

    2016/01/10 19:53

    bundle install はできますか?

    キャンセル

回答 1

checkベストアンサー

0

railsコマンドがrbenvのRubyにあるrailsではなく、brewでいれたRubyのrailsを見に行っているように思われます。

$ echo $PATH
    => /Users/sasakiakira/.rbenv/shims が /usr/local/bin より前(優先)になっていることを確認
        もし、後ろになっている場合は、.bash_profileを変更して前になるようにしてください。
$ ruby -v
    => Ruby 2.2.4 とrbenvのRubyになっていることを確認
$ gem install rails
$ gem install bundler
$ rbenv rehash
$ which rails
    => /Users/sasakiakira/.rbenv/shims/rails となっていることを確認
$ which bundle
    => /Users/sasakiakira/.rbenv/shims/bundle となっていることを確認
$ bundle install

としてから再度試してみて下さい。

投稿 2016/01/11 12:18

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.36%

関連した質問

同じタグがついた質問を見る

  • Ruby on Rails

    5078questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。